<packet name="TraitsList">
	<version number="987">
		<u8 name="num_traits">
		<array name="traits_array" count="var:num_traits">
			<u8 name="trait_level">
			<u8 name="trait_line">
			<u16 name="trait0_icon">
			<u16 name="trait0_icon2">
			<u32 name="trait0_id">
			<u32 name="trait0_unknown">
			<str16 name="trait0_name">
			<u16 name="trait1_icon">
			<u16 name="trait1_icon2">
			<u32 name="trait1_id">
			<u32 name="trait1_unknown">
			<str16 name="trait1_name">
			<u16 name="trait2_icon">
			<u16 name="trait2_icon2">
			<u32 name="trait2_id">
			<u32 name="trait2_unknown">
			<str16 name="trait2_name">
			<u16 name="trait3_icon">
			<u16 name="trait3_icon2">
			<u32 name="trait3_id">
			<u32 name="trait3_unknown">
			<str16 name="trait3_name">
			<u16 name="trait4_icon">
			<u16 name="trait4_icon2">
			<u32 name="trait4_id">
			<u32 name="trait4_unknown">
			<str16 name="trait4_name">
		</array>
		<u8 name="num_trainings">
		<array name="training_array" count="var:num_trainings">
			<u8 name="training_level">
			<u8 name="training_line">
			<u16 name="training0_icon">
			<u16 name="training0_icon2">
			<u32 name="training0_id">
			<u32 name="training0_unknown">
			<str16 name="training0_name">
			<u16 name="training1_icon">
			<u16 name="training1_icon2">
			<u32 name="training1_id">
			<u32 name="training1_unknown">
			<str16 name="training1_name">
			<u16 name="training2_icon">
			<u16 name="training2_icon2">
			<u32 name="training2_id">
			<u32 name="training2_unknown">
			<str16 name="training2_name">
			<u16 name="training3_icon">
			<u16 name="training3_icon2">
			<u32 name="training3_id">
			<u32 name="training3_unknown">
			<str16 name="training3_name">
			<u16 name="training4_icon">
			<u16 name="training4_icon2">
			<u32 name="training4_id">
			<u32 name="training4_unknown">
			<str16 name="training4_name">
		</array>
		<u8 name="num_traditions">
		<array name="tradition_array" count="var:num_traditions">
			<u8 name="tradition_selected">
			<u16 name="tradition_icon">
			<u16 name="tradition_icon2">
			<u32 name="tradition_id">
			<u32 name="tradition_unknown">
			<str16 name="tradition_name">
		</array>
		<u8 name="unknown">
		<u8 name="num_abilities">
		<array name="ability_array" count="var:num_abilities">
			<u16 name="ability_icon">
			<u16 name="ability_icon2">
			<u32 name="ability_id">
			<u32 name="ability_unknown">
			<str16 name="ability_name">
		</array>
	</version>
	<version number="996">
		<u8 name="num_traits">
		<array name="traits_array" count="var:num_traits">
			<u8 name="trait_level">
			<u8 name="trait_line">
			<u16 name="trait0_icon">
			<u16 name="trait0_icon2">
			<u32 name="trait0_id">
			<u32 name="trait0_unknown">
			<str16 name="trait0_name">
			<u16 name="trait1_icon">
			<u16 name="trait1_icon2">
			<u32 name="trait1_id">
			<u32 name="trait1_unknown">
			<str16 name="trait1_name">
			<u16 name="trait2_icon">
			<u16 name="trait2_icon2">
			<u32 name="trait2_id">
			<u32 name="trait2_unknown">
			<str16 name="trait2_name">
			<u16 name="trait3_icon">
			<u16 name="trait3_icon2">
			<u32 name="trait3_id">
			<u32 name="trait3_unknown">
			<str16 name="trait3_name">
			<u16 name="trait4_icon">
			<u16 name="trait4_icon2">
			<u32 name="trait4_id">
			<u32 name="trait4_unknown">
			<str16 name="trait4_name">
		</array>
		<u8 name="num_trainings">
		<array name="training_array" count="var:num_trainings">
			<u8 name="training_level">
			<u8 name="training_line">
			<u16 name="training0_icon">
			<u16 name="training0_icon2">
			<u32 name="training0_id">
			<u32 name="training0_unknown">
			<str16 name="training0_name">
			<u16 name="training1_icon">
			<u16 name="training1_icon2">
			<u32 name="training1_id">
			<u32 name="training1_unknown">
			<str16 name="training1_name">
			<u16 name="training2_icon">
			<u16 name="training2_icon2">
			<u32 name="training2_id">
			<u32 name="training2_unknown">
			<str16 name="training2_name">
			<u16 name="training3_icon">
			<u16 name="training3_icon2">
			<u32 name="training3_id">
			<u32 name="training3_unknown">
			<str16 name="training3_name">
			<u16 name="training4_icon">
			<u16 name="training4_icon2">
			<u32 name="training4_id">
			<u32 name="training4_unknown">
			<str16 name="training4_name">
		</array>
		<u8 name="num_sections">
		<array name="sections_array" count="var:num_sections">
			<str16 name="section_name">
			<u8 name="num_traditions">
			<array name="tradition_array" count="var:num_traditions">
				<u8 name="tradition_selected">
				<u16 name="tradition_icon">
				<u16 name="tradition_icon2">
				<u32 name="tradition_id">
				<u32 name="tradition_unknown">
				<str16 name="tradition_name">
			</array>
		</array>
		<u8 name="allow_select">
		<u8 name="num_abilities">
		<array name="ability_array" count="var:num_abilities">
			<u16 name="ability_icon">
			<u16 name="ability_icon2">
			<u32 name="ability_id">
			<u32 name="ability_unknown">
			<str16 name="ability_name">
		</array>
	</version>
	<version number="1188">
		<u8 name="num_traits">
		<array name="traits_array" count="var:num_traits">
			<u8 name="trait_level">
			<u8 name="trait_line">
			<u16 name="trait0_icon">
			<u16 name="trait0_icon2">
			<u32 name="trait0_id">
			<u32 name="trait0_unknown">
			<str16 name="trait0_name">
			<u16 name="trait1_icon">
			<u16 name="trait1_icon2">
			<u32 name="trait1_id">
			<u32 name="trait1_unknown">
			<str16 name="trait1_name">
			<u16 name="trait2_icon">
			<u16 name="trait2_icon2">
			<u32 name="trait2_id">
			<u32 name="trait2_unknown">
			<str16 name="trait2_name">
			<u16 name="trait3_icon">
			<u16 name="trait3_icon2">
			<u32 name="trait3_id">
			<u32 name="trait3_unknown">
			<str16 name="trait3_name">
			<u16 name="trait4_icon">
			<u16 name="trait4_icon2">
			<u32 name="trait4_id">
			<u32 name="trait4_unknown">
			<str16 name="trait4_name">
		</array>
		<u8 name="num_trainings">
		<array name="training_array" count="var:num_trainings">
			<u8 name="training_level">
			<u8 name="training_line">
			<u16 name="training0_icon">
			<u16 name="training0_icon2">
			<u32 name="training0_id">
			<u32 name="training0_unknown">
			<str16 name="training0_name">
			<u16 name="training1_icon">
			<u16 name="training1_icon2">
			<u32 name="training1_id">
			<u32 name="training1_unknown">
			<str16 name="training1_name">
			<u16 name="training2_icon">
			<u16 name="training2_icon2">
			<u32 name="training2_id">
			<u32 name="training2_unknown">
			<str16 name="training2_name">
			<u16 name="training3_icon">
			<u16 name="training3_icon2">
			<u32 name="training3_id">
			<u32 name="training3_unknown">
			<str16 name="training3_name">
			<u16 name="training4_icon">
			<u16 name="training4_icon2">
			<u32 name="training4_id">
			<u32 name="training4_unknown">
			<str16 name="training4_name">
		</array>
		<u8 name="num_sections">
		<array name="sections_array" count="var:num_sections">
			<str16 name="section_name">
			<u8 name="num_traditions">
			<array name="tradition_array" count="var:num_traditions">
				<u8 name="tradition_selected">
				<u16 name="tradition_icon">
				<u16 name="tradition_icon2">
				<u32 name="tradition_id">
				<u32 name="tradition_unknown">
				<str16 name="tradition_name">
			</array>
		</array>
		<u8 name="allow_select">
		<u8 name="num_abilities">
		<array name="ability_array" count="var:num_abilities">
			<u16 name="ability_icon">
			<u16 name="ability_icon2">
			<u32 name="ability_id">
			<u32 name="ability_unknown">
			<str16 name="ability_name">
		</array>
		<u8 name="num_focuseffects">
		<array name="focus_array" count="var:num_focuseffects">
			<u8 name="focus_selected">
			<u8 name="focus_unknown2">
			<u16 name="focus_icon">
			<u16 name="focus_icon2">
			<u32 name="focus_spell_crc">
			<u32 name="focus_unknown3">
			<str16 name="focus_name">
		</array>
		<u8 name="focus_allow_select">
	</version>
	<version number="58617">
		<u8 name="num_traits">
		<array name="traits_array" count="var:num_traits">
			<u8 name="trait_level">
			<u8 name="trait_line">
			<u16 name="trait0_icon">
			<u16 name="trait0_icon2">
			<u32 name="trait0_id">
			<u32 name="trait0_unknown">
			<str16 name="trait0_name">
			<u8 name="trait0_unknown2">
			<u16 name="trait1_icon">
			<u16 name="trait1_icon2">
			<u32 name="trait1_id">
			<u32 name="trait1_unknown">
			<str16 name="trait1_name">
			<u8 name="trait1_unknown2">
			<u16 name="trait2_icon">
			<u16 name="trait2_icon2">
			<u32 name="trait2_id">
			<u32 name="trait2_unknown">
			<str16 name="trait2_name">
			<u8 name="trait2_unknown2">
			<u16 name="trait3_icon">
			<u16 name="trait3_icon2">
			<u32 name="trait3_id">
			<u32 name="trait3_unknown">
			<str16 name="trait3_name">
			<u8 name="trait3_unknown2">
			<u16 name="trait4_icon">
			<u16 name="trait4_icon2">
			<u32 name="trait4_id">
			<u32 name="trait4_unknown">
			<str16 name="trait4_name">
			<u8 name="trait4_unknown2">
		</array>
		<u8 name="num_trainings">
		<array name="training_array" count="var:num_trainings">
			<u8 name="training_level">
			<u8 name="training_line">
			<u16 name="training0_icon">
			<u16 name="training0_icon2">
			<u32 name="training0_id">
			<u32 name="training0_unknown">
			<str16 name="training0_name">
			<u8 name="training0_unknown2">
			<u16 name="training1_icon">
			<u16 name="training1_icon2">
			<u32 name="training1_id">
			<u32 name="training1_unknown">
			<str16 name="training1_name">
			<u8 name="training1_unknown2">
			<u16 name="training2_icon">
			<u16 name="training2_icon2">
			<u32 name="training2_id">
			<u32 name="training2_unknown">
			<str16 name="training2_name">
			<u8 name="training2_unknown2">
			<u16 name="training3_icon">
			<u16 name="training3_icon2">
			<u32 name="training3_id">
			<u32 name="training3_unknown">
			<str16 name="training3_name">
			<u8 name="training3_unknown2">
			<u16 name="training4_icon">
			<u16 name="training4_icon2">
			<u32 name="training4_id">
			<u32 name="training4_unknown">
			<str16 name="training4_name">
			<u8 name="training4_unknown2">
		</array>
		<u8 name="num_sections">
		<array name="sections_array" count="var:num_sections">
			<str16 name="section_name">
			<u8 name="num_traditions">
			<array name="tradition_array" count="var:num_traditions">
				<u8 name="tradition_selected">
				<u16 name="tradition_icon">
				<u16 name="tradition_icon2">
				<u32 name="tradition_id">
				<u32 name="tradition_unknown">
				<str16 name="tradition_name">
				<u8 name="tradition_unknown_58617_MJ1">
			</array>
		</array>
		<u8 name="allow_select">
		<u8 name="num_abilities">
		<array name="ability_array" count="var:num_abilities">
			<u16 name="ability_icon">
			<u16 name="ability_icon2">
			<u32 name="ability_id">
			<u32 name="ability_unknown">
			<str16 name="ability_name">
			<u8 name="ability_unknown_58617_MJ1">
		</array>
		<u8 name="num_focuseffects">
		<array name="focus_array" count="var:num_focuseffects">
			<u8 name="focus_selected">
			<u8 name="focus_unknown2">
			<u16 name="focus_icon">
			<u16 name="focus_icon2">
			<u32 name="focus_spell_crc">
			<u32 name="focus_unknown3">
			<str16 name="focus_name">
			<u8 name="focus_unknown_58617_MJ1">
		</array>
		<u8 name="focus_allow_select">
	</version>
	<version number="63073">
		<u8 name="num_traits">
		<array name="traits_array" count="var:num_traits">
			<u8 name="trait_level">
			<u8 name="trait_line">
			<u16 name="trait0_icon">
			<u16 name="trait0_icon2">
			<u32 name="trait0_id">
			<u32 name="trait0_unknown">
			<str16 name="trait0_name">
			<u8 name="trait0_unknown2">
			<u16 name="trait1_icon">
			<u16 name="trait1_icon2">
			<u32 name="trait1_id">
			<u32 name="trait1_unknown">
			<str16 name="trait1_name">
			<u8 name="trait1_unknown2">
			<u16 name="trait2_icon">
			<u16 name="trait2_icon2">
			<u32 name="trait2_id">
			<u32 name="trait2_unknown">
			<str16 name="trait2_name">
			<u8 name="trait2_unknown2">
			<u16 name="trait3_icon">
			<u16 name="trait3_icon2">
			<u32 name="trait3_id">
			<u32 name="trait3_unknown">
			<str16 name="trait3_name">
			<u8 name="trait3_unknown2">
			<u16 name="trait4_icon">
			<u16 name="trait4_icon2">
			<u32 name="trait4_id">
			<u32 name="trait4_unknown">
			<str16 name="trait4_name">
			<u8 name="trait4_unknown2">
		</array>
		<u8 name="num_trainings">
		<array name="training_array" count="var:num_trainings">
			<u8 name="training_level">
			<u8 name="training_line">
			<u16 name="training0_icon">
			<u16 name="training0_icon2">
			<u32 name="training0_id">
			<u32 name="training0_unknown">
			<str16 name="training0_name">
			<u8 name="training0_unknown2">
			<u16 name="training1_icon">
			<u16 name="training1_icon2">
			<u32 name="training1_id">
			<u32 name="training1_unknown">
			<str16 name="training1_name">
			<u8 name="training1_unknown2">
			<u16 name="training2_icon">
			<u16 name="training2_icon2">
			<u32 name="training2_id">
			<u32 name="training2_unknown">
			<str16 name="training2_name">
			<u8 name="training2_unknown2">
			<u16 name="training3_icon">
			<u16 name="training3_icon2">
			<u32 name="training3_id">
			<u32 name="training3_unknown">
			<str16 name="training3_name">
			<u8 name="training3_unknown2">
			<u16 name="training4_icon">
			<u16 name="training4_icon2">
			<u32 name="training4_id">
			<u32 name="training4_unknown">
			<str16 name="training4_name">
			<u8 name="training4_unknown2">
		</array>
		<u8 name="num_sections">
		<array name="sections_array" count="var:num_sections">
			<str16 name="section_name">
			<u8 name="num_traditions">
			<array name="tradition_array" count="var:num_traditions">
				<u8 name="tradition_selected">
				<u16 name="tradition_icon">
				<u16 name="tradition_icon2">
				<u32 name="tradition_id">
				<u32 name="tradition_unknown">
				<str16 name="tradition_name">
			</array>
		</array>
		<u8 name="allow_select">
		<u8 name="num_abilities">
		<array name="ability_array" count="var:num_abilities">
			<u16 name="ability_icon">
			<u16 name="ability_icon2">
			<u32 name="ability_id">
			<u32 name="ability_unknown">
			<str16 name="ability_name">
		</array>
		<u8 name="num_focuseffects">
		<array name="focus_array" count="var:num_focuseffects">
			<u8 name="focus_unknown1">
			<u8 name="focus_unknown2">
			<u16 name="focus_icon">
			<u16 name="focus_icon2">
			<u32 name="focus_spell_crc">
			<u32 name="focus_unknown3">
			<str16 name="focus_name">
		</array>
		<u8 name="unknown">
	</version>
	<version number="63122">
		<u8 name="num_traits">
		<array name="traits_array" count="var:num_traits">
			<u8 name="trait_level">
			<u8 name="trait_line">
			<u16 name="trait0_icon">
			<u16 name="trait0_icon2">
			<u32 name="trait0_id">
			<u32 name="trait0_unknown">
			<str16 name="trait0_name">
			<u8 name="trait0_unknown2">
			<u16 name="trait1_icon">
			<u16 name="trait1_icon2">
			<u32 name="trait1_id">
			<u32 name="trait1_unknown">
			<str16 name="trait1_name">
			<u8 name="trait1_unknown2">
			<u16 name="trait2_icon">
			<u16 name="trait2_icon2">
			<u32 name="trait2_id">
			<u32 name="trait2_unknown">
			<str16 name="trait2_name">
			<u8 name="trait2_unknown2">
			<u16 name="trait3_icon">
			<u16 name="trait3_icon2">
			<u32 name="trait3_id">
			<u32 name="trait3_unknown">
			<str16 name="trait3_name">
			<u8 name="trait3_unknown2">
			<u16 name="trait4_icon">
			<u16 name="trait4_icon2">
			<u32 name="trait4_id">
			<u32 name="trait4_unknown">
			<str16 name="trait4_name">
			<u8 name="trait4_unknown2">
		</array>
		<u8 name="num_trainings">
		<array name="training_array" count="var:num_trainings">
			<u8 name="training_level">
			<u8 name="training_line">
			<u16 name="training0_icon">
			<u16 name="training0_icon2">
			<u32 name="training0_id">
			<u32 name="training0_unknown">
			<str16 name="training0_name">
			<u8 name="training0_unknown2">
			<u16 name="training1_icon">
			<u16 name="training1_icon2">
			<u32 name="training1_id">
			<u32 name="training1_unknown">
			<str16 name="training1_name">
			<u8 name="training1_unknown2">
			<u16 name="training2_icon">
			<u16 name="training2_icon2">
			<u32 name="training2_id">
			<u32 name="training2_unknown">
			<str16 name="training2_name">
			<u8 name="training2_unknown2">
			<u16 name="training3_icon">
			<u16 name="training3_icon2">
			<u32 name="training3_id">
			<u32 name="training3_unknown">
			<str16 name="training3_name">
			<u8 name="training3_unknown2">
			<u16 name="training4_icon">
			<u16 name="training4_icon2">
			<u32 name="training4_id">
			<u32 name="training4_unknown">
			<str16 name="training4_name">
			<u8 name="training4_unknown2">
		</array>
		<u8 name="num_sections">
		<array name="sections_array" count="var:num_sections">
			<str16 name="section_name">
			<u8 name="num_traditions">
			<array name="tradition_array" count="var:num_traditions">
				<u8 name="tradition_selected">
				<u16 name="tradition_icon">
				<u16 name="tradition_icon2">
				<u32 name="tradition_id">
				<u32 name="tradition_unknown">
				<str16 name="tradition_name">
				<u8 name="tradition_unknown2">
			</array>
		</array>
		<u8 name="allow_select">
		<u8 name="num_abilities">
		<array name="ability_array" count="var:num_abilities">
			<u16 name="ability_icon">
			<u16 name="ability_icon2">
			<u32 name="ability_id">
			<u32 name="ability_unknown">
			<str16 name="ability_name">
			<u8 name="ability_unknown2">
		</array>
		<u8 name="num_focuseffects">
		<array name="focus_array" count="var:num_focuseffects">
			<u8 name="focus_unknown1">
			<u8 name="focus_unknown2">
			<u16 name="focus_icon">
			<u16 name="focus_icon2">
			<u32 name="focus_spell_crc">
			<u32 name="focus_unknown3">
			<str16 name="focus_name">
			<u8 name="focus_unknown4">
		</array>
		<u8 name="unknown">
	</version>
</packet>